Public Member Functions | Protected Attributes | Friends | List of all members
libmwaw::PrinterStyle Struct Reference

Internal: structure used to keep the printer style information. More...

## Public Member Functions
bool | read (MWAWInputStreamPtr input)
| reads data from file More...

## Protected Attributes
int | m_wDev
| used internally More...
int | m_feed
| paper type: cut, fanfold, mechcut or other More...
int | m_pageHeight
| paper height More...
int | m_pageWidth
| paper width More...
int | m_port
| printer or modem port More...

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterStyle const &)
| operator<< More...

## Detailed Description

Internal: structure used to keep the printer style information.

## Member Function Documentation

## ◆ read()

bool libmwaw::PrinterStyle::read | ( | MWAWInputStreamPtr | input | ) |
| inline

reads data from file

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | PrinterStyle const & |
| ) |  |
| friend

operator<<

Note
  print nothing

## Member Data Documentation

## ◆ m_feed

int libmwaw::PrinterStyle::m_feed
| protected

paper type: cut, fanfold, mechcut or other

## ◆ m_pageHeight

int libmwaw::PrinterStyle::m_pageHeight
| protected

paper height

## ◆ m_pageWidth

int libmwaw::PrinterStyle::m_pageWidth
| protected

paper width

## ◆ m_port

int libmwaw::PrinterStyle::m_port
| protected

printer or modem port

## ◆ m_wDev

int libmwaw::PrinterStyle::m_wDev
| protected

used internally

The documentation for this struct was generated from the following file:

- MWAWPrinter.cxx